<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <title>Document</title>
  <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
</head>

<body>
  <div id="app">
    <p v-once>{{ titulo }}</p>
    <p>{{ saudacao() }}</p>
    <a v-bind:href="link">Google</a>
    <hr>
    <!--
      se for interpretar texto como HTML, para evitar ataques xss:
      - ou vc garante que a fonte do txt interpretado como HTML é de uma fonte segura (BD próprio, principalmente)
      - ou aplica filtro pra que código malicioso seja executado na página
    -->
    <!-- essa forma abaixo não funciona (mecanismo de segurança do vue) -->
    <p>{{ linkHtml }}</p>
    <!-- a forma abaixo vai funcionar, mas o cuidado acima comentado desse ser observado! -->
    <!-- o texto que houver dentro do dado indicado dentro da diretiva 'v-html', será interpretado como html e colocado dentro da tag onde estiver -->
    <p v-html="linkHtml"></p>
  </div>
  <script src="app.js"></script>
</body>

</html>